Gnome2::FontPicker(3)

NAME
Gnome2::FontPicker - wrapper for GnomeFontPicker

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Button
                                +----Gnome2::FontPicker

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Activatable

METHODS

  widget = Gnome2::FontPicker->new

  $gfp->fi_set_show_size ($show_size)

•   $show_size (boolean)

  $gfp->fi_set_use_font_in_label ($use_font_in_label, $size)

•   $use_font_in_label (boolean)

•   $size (integer)

  string = $gfp->get_font_name

  boolean = $gfp->set_font_name ($fontname)

•   $fontname (string)

  fontpickermode = $gfp->get_mode

  $gfp->set_mode ($mode)

•   $mode (Gnome2::FontPickerMode)

  string = $gfp->get_preview_text

  $gfp->set_preview_text ($text)

•   $text (string)

  string = $gfp->get_title

  $gfp->set_title ($title)

•   $title (string)

  widget = $gfp->uw_get_widget

  $gfp->uw_set_widget ($widget)

•   $widget (Gtk2::Widget)

PROPERTIES

'font' (gpointer : default 0 : readable)
    The selected GtkFont

'font-name' (string : default "sans 12" : readable / writable)
    Name of the selected font

'label-font-size' (integer : default 14 : readable / writable)
    Font size for label in font info mode

'mode' (Gnome2::FontPickerMode : default "pixmap" : readable / writable)
    The mode of operation of the font picker

'preview-text' (string : default "AaBbCcDdEeFfGgHhIiJjKkLlMmNnOoPpQqRrSsTtUuVvWwXxYyZz" : readable / writable)
    Preview text shown in the dialog

'show-size' (boolean : default true : readable / writable)
    Show size in font info mode

'title' (string : default "Pick a Font" : readable / writable)
    The title of the selection dialog box

'use-font-in-label' (boolean : default false : readable / writable)
    Use font in the label in font info mode

SIGNALS

font-set (Gnome2::FontPicker, string)

ENUMS AND FLAGS

  enum Gnome2::FontPickerMode
•   'pixmap' / 'GNOME_FONT_PICKER_MODE_PIXMAP'

•   'font-info' / 'GNOME_FONT_PICKER_MODE_FONT_INFO'

•   'user-widget' / 'GNOME_FONT_PICKER_MODE_USER_WIDGET'

•   'unknown' / 'GNOME_FONT_PICKER_MODE_UNKNOWN'

SEE ALSO
Gnome2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Bin, Gtk2::Button

COPYRIGHT
Copyright (C) 2003-2004 by the gtk2-perl team.

This software is licensed under the LGPL. See Gnome2 for a full notice.